Skip to main content

CreateExportDataJob

POST /tp-api/exports

Post a new exports job and get its job ID.

Request Body required
  • startDate date-time required

    The startDate timestamp, should be in ISO8601 format. When provided, this filter returns records that were created or modified on or after the startDate.

  • endDate date-time required

    The endDate timestamp, should be in ISO8601 format. When provided, this filter returns records that were created or modified on or before the endDate.

  • exportType string required

    Possible values: [ELEARNING_ENROLLMENTS, LEARNING_ACTIVITIES, NETWORKS, USERS, LEARNING_ACTIVITY_INTERACTIONS]

    Supported export types. LEARNING_ACTIVITY_INTERACTIONS only supports JSONL format and requires learningActivityId.

  • format string required

    Possible values: [CSV, JSONL]

    Output file format. Note: LEARNING_ACTIVITY_INTERACTIONS only supports JSONL.

  • learningActivityId number

    The learning activity ID to export interactions. Required when exportType is LEARNING_ACTIVITY_INTERACTIONS.

Responses

Default Response

Schema
  • job object required
  • id string required

    Job ID.

Loading...